<?php

/* DCMS Special
 * Дата последнего редактирования 02.10.2015
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Рефералы');
require_once H . 'sys/inc/thead.php';

only_reg();

if (isset($_GET['id'])) {
    $ids = intval($_GET['id']);
} else {
    $ids = $user['id'];
}

$num = $db->num_rows($db->query("select * from `user_referals` WHERE `id_ref` = '" . $ids . "'"));
$anks = $db->get_array($db->query("select `nick` from `user` WHERE `id` = '" . $ids . "'"));
$ank = $db->get_array($db->query("select `id` from `user` WHERE `id` = '" . $ids . "'"));

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/id$ank[id]'>" . $anks['nick'] . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Рефералы');
echo "</small></div><br />";

echo '<div class="list-group-item-null">';

if (!isset($_GET['id'])) {
    echo "За каждого привлеченного пользователя Вам будет начисляться <font color='blue'><b>200</b> рублей.</font><br/>";

    echo 'Вы пригласили: <b>' . $num . ' чел.</b><br/>';
    echo 'Ваша ссылка для привлечения: <br/>';
    echo "<b>Копировать ссылку:</b><br/><input type='text' class='form-control' value='http://" . $_SERVER['HTTP_HOST'] . "/reg.php?id=$user[id]'>";
} else {
    echo '<div class="list-group-item">';
    echo 'Рефералы пользователя <b>' . $anks['nick'] . '</b>: <b>' . $num . '</b>';
    echo "</div>";
    if (isset($_GET['id']) == $user['id']) {
        echo "<a class='list-group-item' href='/user/referals/'><i class='fa fa-eye fa-fw'></i> Посмотреть ссылку</a>";
    }
}

echo '</div>';

$k_post = $db->super_query("SELECT COUNT(*) as count FROM `user_referals` WHERE `id_ref` = '" . $ids . "'");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = $db->query("SELECT * FROM `user_referals` WHERE `id_ref` = '" . $ids . "' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    $doc->NoResult();
} else {
    while ($refs = $db->get_array($q)) {
        echo "<div class='list-group-item-null'>";
        $ank = $db->get_array($db->query("select `nick` from `user` WHERE `id` = '" . $refs['user_id'] . "'"));

        echo user($refs['user_id']);
        echo "<br />" . lang('Регистрация') . ': ' . date::time($refs['time']);
        echo "</div>";
        echo "<div class='hr'></div>";
    }

    if ($k_page > 1) {
        str("?", $k_page, $page);
    }
}

require_once H . 'sys/inc/tfoot.php';
